commit 66f813202dc145d979a9c17e920d798d72d00e30
Author: Victor Kareh <vkareh@redhat.com>
Date:   Fri Jan 30 08:56:13 2026 -0500

    Release v1.29.1
    
      * ci: remove redundant GH CLI installation step
      * Desktop: really ensure that desktop window is never decorated
      * build(deps): bump actions/checkout from 5 to 6
      * wayland: set desktop layer as background not bottom
      * File search improvements (#1851)
      * New feature - show git branch with icon view text (#1838)
      * build(deps): bump actions/checkout from 4 to 5
      * file: Fallback to fast-content-type if content-type is not set
      * Update README
      * build(deps): bump dev-hanz-ops/install-gh-cli-action from 0.1.0 to 0.2.1
      * build(deps): bump actions/checkout from 3 to 4
      * CI: Drop travils CI
      * Try to use github action
      * Desktop: ensure desktop window is never decorated
      * File properties: improve accessibility of the simple permissions
      * File properties: improve accessibility of the icon button
      * eel-labeled-image: Simplify type subclassing even further
      * eel-labeled-image: Simplify type subclassing
      * eel-labeled-image: Implement a11y for button types
      * eel-labeled-image: Slightly simplify a11y implementation
      * wayland/window closing: avoid a crash on gtk_widget_destroy
      * caja-file-operations: restart timer also for moves
      * caja-file-operations: fix estimate for queued copy (#1759)
      * ci: fix type
      * Attempt to fix 2nd Travis deployment issue
      * ci: Bump dpl branches for Ruby 3 support
      * wayland: ensure windows can be moved if compositor is using CSD (#1787)
      * build: remove configure dependency on perl (#1789)
      * wayland background: use mate-appearance-properties if we can (#1771)

 .github/FUNDING.yml                                |     9 +
 .github/dependabot.yml                             |     8 +
 .github/issue_template.md                          |    19 +
 .github/workflows/archlinux.sh                     |    41 +
 .github/workflows/builds.sh                        |    65 +
 .github/workflows/builds.yml                       |    79 +
 .github/workflows/debian.sh                        |    53 +
 .github/workflows/fedora.sh                        |    47 +
 .github/workflows/release.yml                      |    31 +
 .github/workflows/ubuntu.sh                        |    50 +
 .gitmodules                                        |     5 +
 .tx/config                                         |    10 +
 .tx/config_20221028214812.bak                      |     9 +
 AUTHORS                                            |    68 +
 COPYING                                            |   345 +
 COPYING.EXTENSIONS                                 |    10 +
 COPYING.LIB                                        |   481 +
 ChangeLog                                          |     2 +
 HACKING                                            |     8 +
 Makefile.am                                        |    49 +
 Makefile.shared                                    |     1 +
 NEWS                                               |   854 ++
 README                                             |    68 +
 README.md                                          |     1 +
 autogen.sh                                         |    24 +
 caja.pot                                           |  7631 +++++++++++++
 configure.ac                                       |   354 +
 data/Makefile.am                                   |   118 +
 data/a11y-caja-desktop-base.css                    |    18 +
 data/browser.xml                                   |    73 +
 data/caja-autorun-software.desktop.in.in           |    11 +
 data/caja-bookmarks-window.ui                      |   299 +
 data/caja-browser.desktop.in.in                    |    15 +
 data/caja-computer.desktop.in.in                   |    15 +
 data/caja-desktop-ContrastHigh.css                 |     1 +
 data/caja-desktop-ContrastHighInverse.css          |     1 +
 data/caja-desktop-HighContrast.css                 |     1 +
 data/caja-desktop-HighContrastInverse.css          |     1 +
 data/caja-desktop.css                              |    38 +
 data/caja-extras.placeholder                       |     2 +
 data/caja-file-management-properties.desktop.in.in |    13 +
 data/caja-file-management-properties.ui            |  2584 +++++
 data/caja-folder-handler.desktop.in.in             |    13 +
 data/caja-home.desktop.in.in                       |    15 +
 data/caja-resources.gresource.xml                  |     7 +
 data/caja-suggested.placeholder                    |     2 +
 data/caja.appdata.xml.in.in                        |    41 +
 data/caja.css                                      |    43 +
 data/caja.desktop.in.in                            |    15 +
 data/caja.xml.in                                   |     8 +
 data/freedesktop-dbus-interfaces.xml               |    36 +
 data/icons/Makefile.am                             |    80 +
 data/icons/hicolor_emblems_16x16_emblem-note.png   |   Bin 0 -> 534 bytes
 data/icons/hicolor_emblems_24x24_emblem-note.png   |   Bin 0 -> 913 bytes
 data/icons/hicolor_emblems_48x48_emblem-note.png   |   Bin 0 -> 2454 bytes
 data/mate-network-scheme.desktop.in.in             |    15 +
 data/org.mate.freedesktop.FileManager1.service.in  |     3 +
 data/patterns/Makefile.am                          |    41 +
 data/patterns/blue_gray_rough.png                  |   Bin 0 -> 22418 bytes
 data/patterns/blue_ridge.png                       |   Bin 0 -> 263 bytes
 data/patterns/blue_type.png                        |   Bin 0 -> 11060 bytes
 data/patterns/brushed_metal.png                    |   Bin 0 -> 29181 bytes
 data/patterns/burlap.jpg                           |   Bin 0 -> 1611 bytes
 data/patterns/camouflage.png                       |   Bin 0 -> 29561 bytes
 data/patterns/chalk.jpg                            |   Bin 0 -> 821 bytes
 data/patterns/cork.png                             |   Bin 0 -> 20928 bytes
 data/patterns/countertop.png                       |   Bin 0 -> 4787 bytes
 data/patterns/dark-gnome.jpg                       |   Bin 0 -> 9877 bytes
 data/patterns/dots.png                             |   Bin 0 -> 922 bytes
 data/patterns/fibers.png                           |   Bin 0 -> 28188 bytes
 data/patterns/fleur_de_lis.png                     |   Bin 0 -> 28890 bytes
 data/patterns/floral.png                           |   Bin 0 -> 73080 bytes
 data/patterns/fossil.png                           |   Bin 0 -> 14478 bytes
 data/patterns/gnome.jpg                            |   Bin 0 -> 8316 bytes
 data/patterns/green_weave.png                      |   Bin 0 -> 8088 bytes
 data/patterns/ice.png                              |   Bin 0 -> 19562 bytes
 data/patterns/manila_paper.png                     |   Bin 0 -> 21751 bytes
 data/patterns/moss_ridge.png                       |   Bin 0 -> 274 bytes
 data/patterns/numbers.png                          |   Bin 0 -> 8993 bytes
 data/patterns/ocean_stripes.png                    |   Bin 0 -> 274 bytes
 data/patterns/purple_marble.png                    |   Bin 0 -> 12288 bytes
 data/patterns/reset.png                            |   Bin 0 -> 441 bytes
 data/patterns/ridged_paper.png                     |   Bin 0 -> 10353 bytes
 data/patterns/rough_paper.png                      |   Bin 0 -> 3955 bytes
 data/patterns/sky_ridge.png                        |   Bin 0 -> 264 bytes
 data/patterns/snow_ridge.png                       |   Bin 0 -> 274 bytes
 data/patterns/stucco.jpg                           |   Bin 0 -> 2499 bytes
 data/patterns/terracotta.png                       |   Bin 0 -> 32001 bytes
 data/patterns/wavy_white.png                       |   Bin 0 -> 1522 bytes
 data/ui-a11y.suppr                                 |    35 +
 docs/Makefile.am                                   |    28 +
 docs/architecture.txt                              |   160 +
 docs/caja-autorun-software.1                       |    36 +
 docs/caja-connect-server.1                         |    40 +
 docs/caja-file-management-properties.1             |    28 +
 docs/caja-internals.pdf                            |   Bin 0 -> 307912 bytes
 docs/caja-internals.sxw                            |   Bin 0 -> 59282 bytes
 docs/caja-io.txt                                   |   255 +
 docs/caja.1                                        |    84 +
 docs/caja.faq                                      |     7 +
 docs/dnd.txt                                       |    92 +
 docs/key_mouse_navigation.txt                      |   112 +
 docs/load-states.dia                               |   Bin 0 -> 2026 bytes
 docs/recommended-books.html                        |   167 +
 docs/reference/Makefile.am                         |     3 +
 docs/reference/libcaja-extension/Makefile.am       |    84 +
 .../libcaja-extension/libcaja-extension-docs.xml   |    37 +
 .../libcaja-extension-overrides.txt                |     0
 .../libcaja-extension-sections.txt                 |   208 +
 .../libcaja-extension/libcaja-extension.types      |    12 +
 docs/reference/libcaja-extension/version.xml.in    |     1 +
 docs/smoketests.html                               |   555 +
 docs/state-machines.txt                            |    77 +
 docs/style-guide.html                              |   137 +
 eel/Makefile.am                                    |   133 +
 eel/README                                         |     4 +
 eel/check-eel                                      |     3 +
 eel/check-program.c                                |    59 +
 eel/eel-accessibility.c                            |   262 +
 eel/eel-accessibility.h                            |   142 +
 eel/eel-art-extensions.c                           |   318 +
 eel/eel-art-extensions.h                           |   117 +
 eel/eel-art-gtk-extensions.c                       |    70 +
 eel/eel-art-gtk-extensions.h                       |    53 +
 eel/eel-background-box.c                           |    64 +
 eel/eel-background-box.h                           |    70 +
 eel/eel-background.c                               |  1186 ++
 eel/eel-background.h                               |   164 +
 eel/eel-canvas-rect-ellipse.c                      |   862 ++
 eel/eel-canvas-rect-ellipse.h                      |   136 +
 eel/eel-canvas.c                                   |  4024 +++++++
 eel/eel-canvas.h                                   |   547 +
 eel/eel-debug.c                                    |   107 +
 eel/eel-debug.h                                    |    51 +
 eel/eel-editable-label.c                           |  4221 +++++++
 eel/eel-editable-label.h                           |   139 +
 eel/eel-gdk-extensions.c                           |   672 ++
 eel/eel-gdk-extensions.h                           |   120 +
 eel/eel-gdk-pixbuf-extensions.c                    |   427 +
 eel/eel-gdk-pixbuf-extensions.h                    |    72 +
 eel/eel-glib-extensions.c                          |   778 ++
 eel/eel-glib-extensions.h                          |    99 +
 eel/eel-graphic-effects.c                          |   367 +
 eel/eel-graphic-effects.h                          |    65 +
 eel/eel-gtk-container.c                            |   225 +
 eel/eel-gtk-container.h                            |    48 +
 eel/eel-gtk-extensions.c                           |   556 +
 eel/eel-gtk-extensions.h                           |    77 +
 eel/eel-gtk-macros.h                               |   178 +
 eel/eel-image-table.c                              |   657 ++
 eel/eel-image-table.h                              |    99 +
 eel/eel-labeled-image.c                            |  2334 ++++
 eel/eel-labeled-image.h                            |   165 +
 eel/eel-lib-self-check-functions.c                 |    38 +
 eel/eel-lib-self-check-functions.h                 |    55 +
 eel/eel-mate-extensions.c                          |   202 +
 eel/eel-mate-extensions.h                          |    39 +
 eel/eel-self-checks.c                              |   237 +
 eel/eel-self-checks.h                              |   101 +
 eel/eel-stock-dialogs.c                            |   659 ++
 eel/eel-stock-dialogs.h                            |    93 +
 eel/eel-string.c                                   |   950 ++
 eel/eel-string.h                                   |    94 +
 eel/eel-vfs-extensions.c                           |   161 +
 eel/eel-vfs-extensions.h                           |    57 +
 eel/eel-wrap-table.c                               |  1129 ++
 eel/eel-wrap-table.h                               |   107 +
 eel/eel-xml-extensions.c                           |    85 +
 eel/eel-xml-extensions.h                           |    41 +
 eel/eel.h                                          |    48 +
 git.mk                                             |   400 +
 gla11y.mk                                          |    19 +
 icons/Makefile.am                                  |    18 +
 icons/audio.svg                                    |    43 +
 icons/backgrounds.png                              |   Bin 0 -> 3735 bytes
 icons/chit_frame.png                               |   Bin 0 -> 751 bytes
 icons/colors.png                                   |   Bin 0 -> 3115 bytes
 icons/emblems.png                                  |   Bin 0 -> 3122 bytes
 icons/erase.png                                    |   Bin 0 -> 3441 bytes
 icons/knob.png                                     |   Bin 0 -> 206 bytes
 icons/thumbnail_frame.png                          |   Bin 0 -> 2232 bytes
 its/browser.its                                    |    11 +
 its/browser.loc                                    |     7 +
 its/mimeinfo.its                                   |     7 +
 its/mimeinfo.loc                                   |     6 +
 libcaja-extension/Makefile.am                      |    93 +
 libcaja-extension/caja-column-provider.c           |    88 +
 libcaja-extension/caja-column-provider.h           |    69 +
 libcaja-extension/caja-column.c                    |   253 +
 libcaja-extension/caja-column.h                    |    71 +
 libcaja-extension/caja-configurable.c              |    88 +
 libcaja-extension/caja-configurable.h              |    68 +
 libcaja-extension/caja-extension-private.h         |    39 +
 libcaja-extension/caja-extension-types.c           |    56 +
 libcaja-extension/caja-extension-types.h           |    90 +
 libcaja-extension/caja-file-info.c                 |   382 +
 libcaja-extension/caja-file-info.h                 |   177 +
 libcaja-extension/caja-info-provider.c             |   131 +
 libcaja-extension/caja-info-provider.h             |    91 +
 libcaja-extension/caja-location-widget-provider.c  |    92 +
 libcaja-extension/caja-location-widget-provider.h  |    72 +
 libcaja-extension/caja-menu-item.c                 |   352 +
 libcaja-extension/caja-menu-item.h                 |    30 +
 libcaja-extension/caja-menu-provider.c             |   166 +
 libcaja-extension/caja-menu-provider.h             |    93 +
 libcaja-extension/caja-menu.c                      |   132 +
 libcaja-extension/caja-menu.h                      |   114 +
 libcaja-extension/caja-property-page-provider.c    |    97 +
 libcaja-extension/caja-property-page-provider.h    |    72 +
 libcaja-extension/caja-property-page.c             |   253 +
 libcaja-extension/caja-property-page.h             |    68 +
 libcaja-extension/caja-widget-view-provider.c      |   199 +
 libcaja-extension/caja-widget-view-provider.h      |    91 +
 .../libcaja-extension-uninstalled.pc.in            |    12 +
 libcaja-extension/libcaja-extension.pc.in          |    12 +
 libcaja-private/Makefile.am                        |   233 +
 libcaja-private/README                             |     7 +
 libcaja-private/caja-autorun.c                     |  1469 +++
 libcaja-private/caja-autorun.h                     |    83 +
 libcaja-private/caja-bookmark.c                    |   687 ++
 libcaja-private/caja-bookmark.h                    |    99 +
 .../caja-cell-renderer-text-ellipsized.c           |    74 +
 .../caja-cell-renderer-text-ellipsized.h           |    60 +
 libcaja-private/caja-clipboard-monitor.c           |   338 +
 libcaja-private/caja-clipboard-monitor.h           |    83 +
 libcaja-private/caja-clipboard.c                   |   695 ++
 libcaja-private/caja-clipboard.h                   |    54 +
 libcaja-private/caja-column-chooser.c              |   669 ++
 libcaja-private/caja-column-chooser.h              |    70 +
 libcaja-private/caja-column-utilities.c            |   354 +
 libcaja-private/caja-column-utilities.h            |    41 +
 libcaja-private/caja-customization-data.c          |   490 +
 libcaja-private/caja-customization-data.h          |    62 +
 libcaja-private/caja-debug-log.c                   |   779 ++
 libcaja-private/caja-debug-log.h                   |    58 +
 libcaja-private/caja-default-file-icon.c           |   537 +
 libcaja-private/caja-default-file-icon.h           |    32 +
 libcaja-private/caja-desktop-directory-file.c      |   580 +
 libcaja-private/caja-desktop-directory-file.h      |    58 +
 libcaja-private/caja-desktop-directory.c           |   557 +
 libcaja-private/caja-desktop-directory.h           |    61 +
 libcaja-private/caja-desktop-icon-file.c           |   406 +
 libcaja-private/caja-desktop-icon-file.h           |    64 +
 libcaja-private/caja-desktop-link-monitor.c        |   518 +
 libcaja-private/caja-desktop-link-monitor.h        |    65 +
 libcaja-private/caja-desktop-link.c                |   530 +
 libcaja-private/caja-desktop-link.h                |    84 +
 libcaja-private/caja-desktop-metadata.c            |   315 +
 libcaja-private/caja-desktop-metadata.h            |    48 +
 libcaja-private/caja-directory-async.c             |  5327 +++++++++
 libcaja-private/caja-directory-background.c        |   410 +
 libcaja-private/caja-directory-background.h        |    45 +
 libcaja-private/caja-directory-notify.h            |    75 +
 libcaja-private/caja-directory-private.h           |   246 +
 libcaja-private/caja-directory.c                   |  1790 +++
 libcaja-private/caja-directory.h                   |   239 +
 libcaja-private/caja-dnd.c                         |  1425 +++
 libcaja-private/caja-dnd.h                         |   198 +
 libcaja-private/caja-emblem-utils.c                |   509 +
 libcaja-private/caja-emblem-utils.h                |    58 +
 libcaja-private/caja-entry.c                       |   420 +
 libcaja-private/caja-entry.h                       |    77 +
 libcaja-private/caja-extensions.c                  |   242 +
 libcaja-private/caja-extensions.h                  |    53 +
 libcaja-private/caja-file-attributes.h             |    47 +
 libcaja-private/caja-file-changes-queue.c          |   418 +
 libcaja-private/caja-file-changes-queue.h          |    41 +
 libcaja-private/caja-file-conflict-dialog.c        |   764 ++
 libcaja-private/caja-file-conflict-dialog.h        |    80 +
 libcaja-private/caja-file-dnd.c                    |   186 +
 libcaja-private/caja-file-dnd.h                    |    44 +
 libcaja-private/caja-file-operations.c             |  6821 +++++++++++
 libcaja-private/caja-file-operations.h             |   143 +
 libcaja-private/caja-file-private.h                |   318 +
 libcaja-private/caja-file-queue.c                  |   132 +
 libcaja-private/caja-file-queue.h                  |    52 +
 libcaja-private/caja-file-utilities.c              |  1339 +++
 libcaja-private/caja-file-utilities.h              |   100 +
 libcaja-private/caja-file.c                        |  8872 +++++++++++++++
 libcaja-private/caja-file.h                        |   602 +
 libcaja-private/caja-global-preferences.c          |   103 +
 libcaja-private/caja-global-preferences.h          |   228 +
 libcaja-private/caja-icon-canvas-item.c            |  3654 ++++++
 libcaja-private/caja-icon-canvas-item.h            |   119 +
 libcaja-private/caja-icon-container.c              | 10233 +++++++++++++++++
 libcaja-private/caja-icon-container.h              |   379 +
 libcaja-private/caja-icon-dnd.c                    |  1995 ++++
 libcaja-private/caja-icon-dnd.h                    |    56 +
 libcaja-private/caja-icon-info.c                   |   825 ++
 libcaja-private/caja-icon-info.h                   |   109 +
 libcaja-private/caja-icon-names.h                  |    31 +
 libcaja-private/caja-icon-private.h                |   324 +
 libcaja-private/caja-keep-last-vertical-box.c      |   162 +
 libcaja-private/caja-keep-last-vertical-box.h      |    59 +
 libcaja-private/caja-lib-self-check-functions.c    |    38 +
 libcaja-private/caja-lib-self-check-functions.h    |    56 +
 libcaja-private/caja-link.c                        |   643 ++
 libcaja-private/caja-link.h                        |    55 +
 libcaja-private/caja-metadata.c                    |    84 +
 libcaja-private/caja-metadata.h                    |    83 +
 libcaja-private/caja-mime-actions.c                |  2586 +++++
 libcaja-private/caja-mime-actions.h                |    60 +
 libcaja-private/caja-mime-application-chooser.c    |   741 ++
 libcaja-private/caja-mime-application-chooser.h    |    57 +
 libcaja-private/caja-module.c                      |   328 +
 libcaja-private/caja-module.h                      |    45 +
 libcaja-private/caja-monitor.c                     |   201 +
 libcaja-private/caja-monitor.h                     |    38 +
 libcaja-private/caja-open-with-dialog.c            |  1189 ++
 libcaja-private/caja-open-with-dialog.h            |    64 +
 libcaja-private/caja-program-choosing.c            |   558 +
 libcaja-private/caja-program-choosing.h            |    58 +
 libcaja-private/caja-progress-info.c               |  1425 +++
 libcaja-private/caja-progress-info.h               |    85 +
 libcaja-private/caja-query.c                       |   485 +
 libcaja-private/caja-query.h                       |    81 +
 libcaja-private/caja-recent.c                      |    80 +
 libcaja-private/caja-recent.h                      |    13 +
 libcaja-private/caja-saved-search-file.c           |    45 +
 libcaja-private/caja-saved-search-file.h           |    57 +
 libcaja-private/caja-search-directory-file.c       |   254 +
 libcaja-private/caja-search-directory-file.h       |    56 +
 libcaja-private/caja-search-directory.c            |   937 ++
 libcaja-private/caja-search-directory.h            |    76 +
 libcaja-private/caja-search-engine-beagle.c        |   441 +
 libcaja-private/caja-search-engine-beagle.h        |    53 +
 libcaja-private/caja-search-engine-simple.c        |   815 ++
 libcaja-private/caja-search-engine-simple.h        |    53 +
 libcaja-private/caja-search-engine-tracker.c       |   566 +
 libcaja-private/caja-search-engine-tracker.h       |    53 +
 libcaja-private/caja-search-engine.c               |   194 +
 libcaja-private/caja-search-engine.h               |    77 +
 libcaja-private/caja-sidebar-provider.c            |    74 +
 libcaja-private/caja-sidebar-provider.h            |    61 +
 libcaja-private/caja-sidebar.c                     |   128 +
 libcaja-private/caja-sidebar.h                     |    83 +
 libcaja-private/caja-signaller.c                   |   116 +
 libcaja-private/caja-signaller.h                   |    46 +
 libcaja-private/caja-thumbnails.c                  |   604 +
 libcaja-private/caja-thumbnails.h                  |    43 +
 libcaja-private/caja-trash-monitor.c               |   244 +
 libcaja-private/caja-trash-monitor.h               |    68 +
 libcaja-private/caja-tree-view-drag-dest.c         |  1309 +++
 libcaja-private/caja-tree-view-drag-dest.h         |   106 +
 libcaja-private/caja-ui-utilities.c                |   334 +
 libcaja-private/caja-ui-utilities.h                |    45 +
 libcaja-private/caja-undostack-manager.c           |  2063 ++++
 libcaja-private/caja-undostack-manager.h           |   185 +
 libcaja-private/caja-vfs-directory.c               |   164 +
 libcaja-private/caja-vfs-directory.h               |    57 +
 libcaja-private/caja-vfs-file.c                    |   797 ++
 libcaja-private/caja-vfs-file.h                    |    57 +
 libcaja-private/caja-view-factory.c                |   131 +
 libcaja-private/caja-view-factory.h                |    73 +
 libcaja-private/caja-view.c                        |   329 +
 libcaja-private/caja-view.h                        |   191 +
 libcaja-private/caja-window-info.c                 |   320 +
 libcaja-private/caja-window-info.h                 |   209 +
 libcaja-private/caja-window-slot-info.c            |   162 +
 libcaja-private/caja-window-slot-info.h            |   104 +
 libcaja-private/org.mate.caja.gschema.xml          |   531 +
 .../org.mate.media-handling.gschema.xml            |    34 +
 makepot                                            |     6 +
 mate-submodules                                    |     1 +
 po/LINGUAS                                         |   127 +
 po/Makevars                                        |    79 +
 po/POTFILES.in                                     |   118 +
 po/POTFILES.skip                                   |     2 +
 po/af.po                                           |  7709 +++++++++++++
 po/am.po                                           |  7637 +++++++++++++
 po/ar.po                                           |  8126 +++++++++++++
 po/as.po                                           |  7787 +++++++++++++
 po/ast.po                                          |  7826 +++++++++++++
 po/az.po                                           |  7650 +++++++++++++
 po/be.po                                           |  7914 +++++++++++++
 po/bg.po                                           |  7916 +++++++++++++
 po/bn.po                                           |  7869 +++++++++++++
 po/bn_IN.po                                        |  7874 +++++++++++++
 po/br.po                                           |  8168 +++++++++++++
 po/bs.po                                           |  7735 +++++++++++++
 po/ca.po                                           |  7975 +++++++++++++
 po/ca@valencia.po                                  |  7959 +++++++++++++
 po/cmn.po                                          |  7567 ++++++++++++
 po/crh.po                                          |  7804 +++++++++++++
 po/cs.po                                           |  8062 +++++++++++++
 po/cy.po                                           |  7735 +++++++++++++
 po/da.po                                           |  7906 +++++++++++++
 po/de.po                                           |  8057 +++++++++++++
 po/dz.po                                           |  7711 +++++++++++++
 po/el.po                                           |  8010 +++++++++++++
 po/en_AU.po                                        |  7833 +++++++++++++
 po/en_CA.po                                        |  7679 +++++++++++++
 po/en_GB.po                                        |  7920 +++++++++++++
 po/eo.po                                           |  7772 +++++++++++++
 po/es.po                                           |  8120 +++++++++++++
 po/es_AR.po                                        |  7663 +++++++++++++
 po/es_CL.po                                        |  7656 +++++++++++++
 po/es_CO.po                                        |  8024 +++++++++++++
 po/es_ES.po                                        |  7691 +++++++++++++
 po/es_MX.po                                        |  7695 +++++++++++++
 po/es_PR.po                                        |  7690 +++++++++++++
 po/et.po                                           |  7869 +++++++++++++
 po/eu.po                                           |  7921 +++++++++++++
 po/fa.po                                           |  7686 +++++++++++++
 po/fi.po                                           |  7806 +++++++++++++
 po/fr.po                                           |  8159 +++++++++++++
 po/fr_CA.po                                        |  7560 ++++++++++++
 po/frp.po                                          |  7567 ++++++++++++
 po/fur.po                                          |  7597 +++++++++++++
 po/fy.po                                           |  7571 ++++++++++++
 po/ga.po                                           |  7851 +++++++++++++
 po/gd.po                                           |  7765 +++++++++++++
 po/gl.po                                           |  7957 +++++++++++++
 po/gnome-copyrights.txt                            |  1869 +++
 po/gu.po                                           |  7813 +++++++++++++
 po/ha.po                                           |  7686 +++++++++++++
 po/he.po                                           |  7986 +++++++++++++
 po/hi.po                                           |  7793 +++++++++++++
 po/hr.po                                           |  7955 +++++++++++++
 po/hu.po                                           |  7921 +++++++++++++
 po/hy.po                                           |  7891 +++++++++++++
 po/ia.po                                           |  7570 ++++++++++++
 po/id.po                                           |  7875 +++++++++++++
 po/ie.po                                           |  7652 +++++++++++++
 po/ig.po                                           |  7575 +++++++++++++
 po/is.po                                           |  7801 +++++++++++++
 po/it.po                                           |  8160 +++++++++++++
 po/ja.po                                           |  7665 +++++++++++++
 po/ka.po                                           |  7721 +++++++++++++
 po/kab.po                                          |  7596 +++++++++++++
 po/kk.po                                           |  7721 +++++++++++++
 po/km.po                                           |  7472 ++++++++++++
 po/kn.po                                           |  7825 +++++++++++++
 po/ko.po                                           |  7612 +++++++++++++
 po/ks.po                                           |  7567 ++++++++++++
 po/ku.po                                           |  7626 +++++++++++++
 po/ku_IQ.po                                        |  7567 ++++++++++++
 po/ky.po                                           |  7489 ++++++++++++
 po/la.po                                           |  7686 +++++++++++++
 po/li.po                                           |  7622 +++++++++++++
 po/lt.po                                           |  8048 +++++++++++++
 po/lv.po                                           |  7924 +++++++++++++
 po/mai.po                                          |  7676 +++++++++++++
 po/mg.po                                           |  7722 +++++++++++++
 po/mi.po                                           |  7567 ++++++++++++
 po/mk.po                                           |  7803 +++++++++++++
 po/ml.po                                           |  7931 +++++++++++++
 po/mn.po                                           |  7660 +++++++++++++
 po/mr.po                                           |  7828 +++++++++++++
 po/ms.po                                           |  7819 +++++++++++++
 po/nb.po                                           |  7931 +++++++++++++
 po/nds.po                                          |  7651 +++++++++++++
 po/ne.po                                           |  7714 +++++++++++++
 po/nl.po                                           |  7999 +++++++++++++
 po/nn.po                                           |  7781 +++++++++++++
 po/nso.po                                          |  7728 +++++++++++++
 po/oc.po                                           |  8008 +++++++++++++
 po/or.po                                           |  7863 +++++++++++++
 po/pa.po                                           |  7772 +++++++++++++
 po/pl.po                                           |  8172 +++++++++++++
 po/pms.po                                          |  7567 ++++++++++++
 po/ps.po                                           |  7569 ++++++++++++
 po/pt.po                                           |  8030 +++++++++++++
 po/pt_BR.po                                        |  8118 +++++++++++++
 po/ro.po                                           |  8013 +++++++++++++
 po/ru.po                                           |  8198 +++++++++++++
 po/rw.po                                           |  7567 ++++++++++++
 po/sc.po                                           |  7576 +++++++++++++
 po/si.po                                           |  7584 +++++++++++++
 po/sk.po                                           |  8047 +++++++++++++
 po/sl.po                                           |  8045 +++++++++++++
 po/sq.po                                           |  7833 +++++++++++++
 po/sr.po                                           |  8015 +++++++++++++
 po/sr@latin.po                                     |  7884 +++++++++++++
 po/sv.po                                           |  7916 +++++++++++++
 po/ta.po                                           |  7793 +++++++++++++
 po/te.po                                           |  7774 +++++++++++++
 po/th.po                                           |  7700 +++++++++++++
 po/tk.po                                           |  7615 +++++++++++++
 po/tr.po                                           |  7913 +++++++++++++
 po/tt.po                                           |  7600 +++++++++++++
 po/ug.po                                           |  7809 +++++++++++++
 po/uk.po                                           |  8071 +++++++++++++
 po/ur.po                                           |  7838 +++++++++++++
 po/uz.po                                           |  7601 +++++++++++++
 po/vi.po                                           |  7750 +++++++++++++
 po/wa.po                                           |  7579 +++++++++++++
 po/xh.po                                           |  7714 +++++++++++++
 po/yi.po                                           |  7568 ++++++++++++
 po/yo.po                                           |  7641 +++++++++++++
 po/zh_CN.po                                        |  7593 +++++++++++++
 po/zh_HK.po                                        |  7564 ++++++++++++
 po/zh_TW.po                                        |  7599 +++++++++++++
 po/zu.po                                           |  7659 +++++++++++++
 src/Makefile.am                                    |   248 +
 src/caja-actions.h                                 |    56 +
 src/caja-application.c                             |  2388 ++++
 src/caja-application.h                             |   106 +
 src/caja-autorun-software.c                        |   316 +
 src/caja-bookmark-list.c                           |   810 ++
 src/caja-bookmark-list.h                           |    88 +
 src/caja-bookmarks-sidebar.c                       |   580 +
 src/caja-bookmarks-sidebar.h                       |    58 +
 src/caja-bookmarks-window.c                        |  1101 ++
 src/caja-bookmarks-window.h                        |    40 +
 src/caja-connect-server-dialog-main.c              |   151 +
 src/caja-connect-server-dialog-nonmain.c           |    97 +
 src/caja-connect-server-dialog.c                   |  1279 +++
 src/caja-connect-server-dialog.h                   |    81 +
 src/caja-connect-server-operation.c                |   136 +
 src/caja-connect-server-operation.h                |    62 +
 src/caja-desktop-window.c                          |   437 +
 src/caja-desktop-window.h                          |    81 +
 src/caja-emblem-sidebar.c                          |  1167 ++
 src/caja-emblem-sidebar.h                          |    62 +
 src/caja-file-management-properties-main.c         |    65 +
 src/caja-file-management-properties.c              |  1278 +++
 src/caja-file-management-properties.h              |    41 +
 src/caja-freedesktop-dbus.c                        |   248 +
 src/caja-freedesktop-dbus.h                        |    41 +
 src/caja-history-sidebar.c                         |   417 +
 src/caja-history-sidebar.h                         |    51 +
 src/caja-image-properties-page.c                   |   770 ++
 src/caja-image-properties-page.h                   |    61 +
 src/caja-information-panel.c                       |  1085 ++
 src/caja-information-panel.h                       |    66 +
 src/caja-location-bar.c                            |   660 ++
 src/caja-location-bar.h                            |    78 +
 src/caja-location-dialog.c                         |   266 +
 src/caja-location-dialog.h                         |    55 +
 src/caja-location-entry.c                          |   492 +
 src/caja-location-entry.h                          |    72 +
 src/caja-main.c                                    |   278 +
 src/caja-navigation-action.c                       |   381 +
 src/caja-navigation-action.h                       |    68 +
 src/caja-navigation-window-menus.c                 |  1085 ++
 src/caja-navigation-window-pane.c                  |   989 ++
 src/caja-navigation-window-pane.h                  |    93 +
 src/caja-navigation-window-slot.c                  |   237 +
 src/caja-navigation-window-slot.h                  |    77 +
 src/caja-navigation-window-ui.xml                  |    77 +
 src/caja-navigation-window.c                       |  1435 +++
 src/caja-navigation-window.h                       |   120 +
 src/caja-notebook.c                                |   582 +
 src/caja-notebook.h                                |    99 +
 src/caja-notes-viewer.c                            |   536 +
 src/caja-notes-viewer.h                            |    51 +
 src/caja-pathbar.c                                 |  2163 ++++
 src/caja-pathbar.h                                 |    90 +
 src/caja-places-sidebar.c                          |  3638 ++++++
 src/caja-places-sidebar.h                          |    49 +
 src/caja-property-browser.c                        |  2512 ++++
 src/caja-property-browser.h                        |    71 +
 src/caja-query-editor.c                            |  1893 +++
 src/caja-query-editor.h                            |    83 +
 src/caja-search-bar.c                              |   265 +
 src/caja-search-bar.h                              |    71 +
 src/caja-self-check-functions.c                    |    40 +
 src/caja-self-check-functions.h                    |    52 +
 src/caja-shell-ui.xml                              |    89 +
 src/caja-side-pane.c                               |   617 +
 src/caja-side-pane.h                               |    78 +
 src/caja-sidebar-title.c                           |   868 ++
 src/caja-sidebar-title.h                           |    77 +
 src/caja-spatial-window-ui.xml                     |    29 +
 src/caja-spatial-window.c                          |  1114 ++
 src/caja-spatial-window.h                          |    68 +
 src/caja-trash-bar.c                               |   234 +
 src/caja-trash-bar.h                               |    59 +
 src/caja-view-as-action.c                          |   299 +
 src/caja-view-as-action.h                          |    57 +
 src/caja-window-bookmarks.c                        |   294 +
 src/caja-window-bookmarks.h                        |    38 +
 src/caja-window-manage-views.c                     |  2400 ++++
 src/caja-window-manage-views.h                     |    48 +
 src/caja-window-menus.c                            |  1213 ++
 src/caja-window-pane.c                             |   302 +
 src/caja-window-pane.h                             |    95 +
 src/caja-window-private.h                          |   249 +
 src/caja-window-slot.c                             |   714 ++
 src/caja-window-slot.h                             |   195 +
 src/caja-window-toolbars.c                         |   213 +
 src/caja-window.c                                  |  2246 ++++
 src/caja-window.h                                  |   169 +
 src/caja-x-content-bar.c                           |   330 +
 src/caja-x-content-bar.h                           |    67 +
 src/caja-zoom-action.c                             |   213 +
 src/caja-zoom-action.h                             |    57 +
 src/caja-zoom-control.c                            |   909 ++
 src/caja-zoom-control.h                            |    92 +
 src/caja.about                                     |     3 +
 src/check-caja                                     |     2 +
 src/file-manager/Makefile.am                       |   102 +
 src/file-manager/caja-audio-mime-types.h           |    51 +
 src/file-manager/caja-desktop-icon-view-ui.xml     |    21 +
 src/file-manager/caja-directory-view-ui.xml        |   236 +
 src/file-manager/caja-icon-view-ui.xml             |    62 +
 src/file-manager/caja-list-view-ui.xml             |     9 +
 src/file-manager/fm-actions.h                      |   113 +
 src/file-manager/fm-desktop-icon-view.c            |   982 ++
 src/file-manager/fm-desktop-icon-view.h            |    60 +
 src/file-manager/fm-desktop-wayland-bg-dialog.c    |   471 +
 src/file-manager/fm-desktop-wayland-bg-dialog.h    |    28 +
 src/file-manager/fm-directory-view.c               | 11360 +++++++++++++++++++
 src/file-manager/fm-directory-view.h               |   490 +
 src/file-manager/fm-ditem-page.c                   |   563 +
 src/file-manager/fm-ditem-page.h                   |    51 +
 src/file-manager/fm-empty-view.c                   |   410 +
 src/file-manager/fm-empty-view.h                   |    60 +
 src/file-manager/fm-error-reporting.c              |   382 +
 src/file-manager/fm-error-reporting.h              |    56 +
 src/file-manager/fm-icon-container.c               |   726 ++
 src/file-manager/fm-icon-container.h               |    69 +
 src/file-manager/fm-icon-view.c                    |  3650 ++++++
 src/file-manager/fm-icon-view.h                    |   135 +
 src/file-manager/fm-list-model.c                   |  1873 +++
 src/file-manager/fm-list-model.h                   |   138 +
 src/file-manager/fm-list-view-private.h            |    43 +
 src/file-manager/fm-list-view.c                    |  3577 ++++++
 src/file-manager/fm-list-view.h                    |    63 +
 src/file-manager/fm-properties-window.c            |  5866 ++++++++++
 src/file-manager/fm-properties-window.h            |    70 +
 src/file-manager/fm-tree-model.c                   |  2110 ++++
 src/file-manager/fm-tree-model.h                   |   105 +
 src/file-manager/fm-tree-view.c                    |  1794 +++
 src/file-manager/fm-tree-view.h                    |    64 +
 src/file-manager/fm-widget-view.c                  |   461 +
 src/file-manager/fm-widget-view.h                  |    39 +
 test/Makefile.am                                   |    47 +
 test/test-caja-directory-async.c                   |   104 +
 test/test-caja-search-engine.c                     |    57 +
 test/test-caja-wrap-table.c                        |    95 +
 test/test-copy.c                                   |    90 +
 test/test-eel-background.c                         |    38 +
 test/test-eel-editable-label.c                     |    57 +
 test/test-eel-image-table.c                        |   299 +
 test/test-eel-labeled-image.c                      |    81 +
 test/test-eel-pixbuf-scale.c                       |    69 +
 test/test.c                                        |   150 +
 test/test.h                                        |    39 +
 update-authors.pl                                  |    77 +
 641 files changed, 1183920 insertions(+)
